{% extends 'base.html.twig' %}

{% block body %}
    <div class="col-lg-12">
        <h3>Liste Groupes :</h3>
        <div class="col-lg-12">
            {% include '@Tuteur/groupe/new.html.twig' %}
        </div>
    </div>
    <div class="col-lg-12 table-responsive">
        <table class="table table-striped table-rounded-radius"  >
            <thead>
            <tr align="center">
                <th>Actions</th>
                <th>Nom</th>
                <th>Nombre de etudiant</th>
                <th>Nombre de etudiant</th>
            </tr>
            </thead>
            <tbody>
            {% if groupes is empty %}
                <tr>
                    <td colspan="5">
                        <p>Il y a pas des données</p>
                    </td>
                </tr>
            {% else %}
                {% for group in groupes %}

                    <tr >
                        <td width="15%">
                            <a class="btn btn-danger" data-toggle="modal" data-target="#deleteAdmin{{ group.id }}" style="color: white"><i class="icon ion-md-trash"></i></a>
                            <a class="btn btn-info"  style="color: white" href="{{ path('groupe_show', { 'id': group.id }) }}" ><i class="fa fa-eye"></i></a>
                        </td>
                        <td width="30%" align="center">{{ group.nom }}</td>

                        <td width="30%" align="center">{{ group.etudiants|length }}</td>

                        <td width="30%" align="center">{{ group.classe.nom }}</td>
                    </tr>
                    <div class="modal fade" id="deleteAdmin{{ group.id }}" tabindex="-1" role="dialog" aria-labelledby="deleteAdmin" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr que vous voulez supprimer?</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                                    <a  class="btn btn-danger" href="{{ path('groupe_delete_get', { 'id': group.id }) }}" >Supprimer</a>
                                </div>
                            </div>
                        </div>
                    </div>

                {% endfor %}
            {% endif %}
            </tbody>
        </table>
        <nav class="navigation align-content-center">
            {{ knp_pagination_render(groupes) }}
        </nav>
    </div>
{% endblock %}
